<?php

if ( !function_exists( 'passster_fs' ) ) {
    // Create a helper function for easy SDK access.
    function passster_fs()
    {
        global  $passster_fs ;
        
        if ( !isset( $passster_fs ) ) {
            // Activate multisite network integration.
            if ( !defined( 'WP_FS__PRODUCT_1938_MULTISITE' ) ) {
                define( 'WP_FS__PRODUCT_1938_MULTISITE', true );
            }
            // Include Freemius SDK.
            require_once dirname( __FILE__ ) . '/freemius/start.php';
            $passster_fs = fs_dynamic_init( array(
                'id'              => '1938',
                'slug'            => 'content-protector',
                'type'            => 'plugin',
                'public_key'      => 'pk_9d9d6d17bd34372b199f36e37dd4b',
                'is_premium'      => false,
                'premium_suffix'  => '',
                'has_addons'      => false,
                'has_paid_plans'  => true,
                'trial'           => array(
                'days'               => 7,
                'is_require_payment' => true,
            ),
                'has_affiliation' => 'selected',
                'menu'            => array(
                'slug'           => 'passster-settings',
                'override_exact' => true,
                'contact'        => false,
                'support'        => false,
                'affiliation'    => false,
                'parent'         => array(
                'slug' => 'admin.php',
            ),
            ),
                'is_live'         => true,
            ) );
        }
        
        return $passster_fs;
    }
    
    // Init Freemius.
    passster_fs();
    // Signal that SDK was initiated.
    do_action( 'passster_fs_loaded' );
    function passster_fs_settings_url()
    {
        return admin_url( 'admin.php?page=passster-settings' );
    }
    
    passster_fs()->add_filter( 'connect_url', 'passster_fs_settings_url' );
    passster_fs()->add_filter( 'after_skip_url', 'passster_fs_settings_url' );
    passster_fs()->add_filter( 'after_connect_url', 'passster_fs_settings_url' );
    passster_fs()->add_filter( 'after_pending_connect_url', 'passster_fs_settings_url' );
}

/**
 * Remove freemius pages.
 *
 * @param bool $is_visible indicates if visible or not.
 * @param int $submenu_id current submenu id.
 *
 * @return bool
 */
function passster_is_submenu_visible( $is_visible, $submenu_id )
{
    return false;
}

passster_fs()->add_filter(
    'is_submenu_visible',
    'passster_is_submenu_visible',
    10,
    2
);
/**
 * Add custom icon for Freemius.
 *
 * @return string
 */
function passster_custom_icon()
{
    return PASSSTER_PATH . '/assets/admin/passster-logo.svg';
}

passster_fs()->add_filter( 'plugin_icon', 'passster_custom_icon' );
/**
 * Clean up passster settings after uninstallation
 *
 * @return void
 */
function passster_cleanup()
{
    $advanced_options = get_option( 'passster_advanced_settings' );
    if ( isset( $advanced_options ) ) {
        
        if ( 'on' === $advanced_options['passster_advanced_delete_options'] ) {
            $options = array(
                'passster_general_settings',
                'passster_advanced_settings',
                'passster_passwords_usage',
                'passster_passwords_times'
            );
            
            if ( is_multisite() ) {
                foreach ( $options as $option ) {
                    delete_site_option( $option );
                }
            } else {
                foreach ( $options as $option ) {
                    delete_option( $option );
                }
            }
            
            global  $wpdb ;
            /* delete all customer groups */
            $wpdb->query( "DELETE FROM {$wpdb->posts} WHERE post_type='password_lists'" );
            /* delete all assigned meta */
            $wpdb->query( "DELETE FROM {$wpdb->postmeta} WHERE meta_key LIKE 'passster_%'" );
        }
    
    }
}

passster_fs()->add_action( 'after_uninstall', 'passster_cleanup' );